petsc-3.7.1 2016-05-15
Report Typos and Errors

# MatFDColoringSetBlockSize

Sets block size for efficient inserting entries of Jacobian matrix.

### Synopsis

    #include "petscmat.h"
    PetscErrorCode MatFDColoringSetBlockSize(MatFDColoring matfd,PetscInt brows,PetscInt bcols)

Logically Collective on MatFDColoring Many br

### Input Parameters

| coloring | - the coloring context Many br
| brows | - number of rows in the block Many br
| bcols | - number of columns in the block Many br

Many br

### Keywords

Mat, coloring

### See Also

MatFDColoringCreate(), MatFDColoringSetFromOptions()

Level:intermediate
Location:src/mat/matfd/fdmatrix.c
Index of all MatFD routines
Table of Contents for all manual pages
Index of all manual pages